Bug 1658801 - Overcloud deployment with IPSEC failed, "{{ ip_with_prefix_register.stdout | ipaddr('subnet') }}" undefined
Summary: Overcloud deployment with IPSEC failed, "{{ ip_with_prefix_register.stdout | ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ansible-tripleo-ipsec
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: z1
: 14.0 (Rocky)
Assignee: Juan Antonio Osorio
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1463349
TreeView+ depends on / blocked
 
Reported: 2018-12-12 21:00 UTC by Yogev Rabl
Modified: 2020-01-13 15:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1668864 (view as bug list)
Environment:
Last Closed: 2020-01-13 15:50:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
environment files (8.49 KB, application/gzip)
2018-12-12 21:04 UTC, Yogev Rabl
no flags Details

Description Yogev Rabl 2018-12-12 21:00:36 UTC
Description of problem:
The deployment of the overcloud failed with the following errors:

fatal: [ceph-1]: FAILED! => {"msg": "The task includes an option with an undefined variable. The error was: 'dict object' has no attribute 'stdout
re/ansible/roles/tripleo-ipsec/tasks/init-connections.yml': line 20, column 5, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\
re\n"}
2018-12-12 15:35:23,990 p=73331 u=mistral |  fatal: [ceph-0]: FAILED! => {"msg": "The task includes an option with an undefined variable. The error was: 'dict object' has no attribute 'stdout
re/ansible/roles/tripleo-ipsec/tasks/init-connections.yml': line 20, column 5, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\
re\n"}
2018-12-12 15:35:24,021 p=73331 u=mistral |  fatal: [ceph-2]: FAILED! => {"msg": "The task includes an option with an undefined variable. The error was: 'dict object' has no attribute 'stdout
re/ansible/roles/tripleo-ipsec/tasks/init-connections.yml': line 20, column 5, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\
re\n"}

The deployment command is:
openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/internal.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/ipsec.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/hostnames.yml \
-e /usr/share/openstack-tripleo-heat-templates/environments/ceph-ansible/ceph-ansible.yaml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/nodes_data.yaml \
--environment-file /usr/share/openstack-tripleo-heat-templates/environments/cinder-backup.yaml \
-e ~/containers-prepare-parameter.yaml \
-e /home/stack/virt/ceph-osd-encryption.yaml

The topology is 3 controller, 2 compute, 3 Ceph storage

Version-Release number of selected component (if applicable):
ansible-tripleo-ipsec-9.0.1-0.20181012162415.8b37e93.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy an environment with the /usr/share/openstack-tripleo-heat-templates/environments/ipsec.yaml environment file and Ceph storage nodes

Actual results:
The deployment fails in the IPsec first stage

Expected results:
The deployment is successful and IPsec is set on all of the overcloud nodes

Additional info:

Comment 1 Yogev Rabl 2018-12-12 21:04:55 UTC
Created attachment 1513782 [details]
environment files

Comment 2 Steve Linabery 2019-01-03 15:55:38 UTC
Juan, is there a fixed-in version we can add to this bug please?

Comment 3 Juan Antonio Osorio 2019-01-04 08:54:38 UTC
Sorry, I confused the VERIFIED here in bugzilla with OpenStack's launchpad verified (which means different things). I'm moving it back to NEW and will triage this as part of our regular triage meetings.

Comment 4 Harry Rybacki 2019-01-04 15:00:14 UTC
Confirmed with Re., this isn't a release blocking issue. Removing flag, providing ack.


Note You need to log in before you can comment on or make changes to this bug.